package com.bonus.canteen.core.account.v3.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("acc_exception_record")
@ApiModel("账户异常记录表")
public class AccExceptionRecord {
   @TableId
   private Long id;
   private Long custId;
   private Integer payChannel;
   private BigDecimal amount;
   private Long relationId;
   private BigDecimal walletPayAmount;
   private BigDecimal subPayAmount;
   private BigDecimal redPayAmount;
   private BigDecimal accBal;
   private String serialNum;
   private Integer recordStatus;
   private LocalDateTime crtime;
   private LocalDateTime uptime;
   private String remark;

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public Long getRelationId() {
      return this.relationId;
   }

   public BigDecimal getWalletPayAmount() {
      return this.walletPayAmount;
   }

   public BigDecimal getSubPayAmount() {
      return this.subPayAmount;
   }

   public BigDecimal getRedPayAmount() {
      return this.redPayAmount;
   }

   public BigDecimal getAccBal() {
      return this.accBal;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getRecordStatus() {
      return this.recordStatus;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setRelationId(final Long relationId) {
      this.relationId = relationId;
   }

   public void setWalletPayAmount(final BigDecimal walletPayAmount) {
      this.walletPayAmount = walletPayAmount;
   }

   public void setSubPayAmount(final BigDecimal subPayAmount) {
      this.subPayAmount = subPayAmount;
   }

   public void setRedPayAmount(final BigDecimal redPayAmount) {
      this.redPayAmount = redPayAmount;
   }

   public void setAccBal(final BigDecimal accBal) {
      this.accBal = accBal;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setRecordStatus(final Integer recordStatus) {
      this.recordStatus = recordStatus;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

}
